{ config, pkgs, ... }:

{
  imports =
    [];

  home.username = "root";
  home.homeDirectory = "/root";
  home.stateVersion = "23.11";

  # set git names
  programs.git = {
    enable = true;
    userName  = "Lukas Heiligenbrunner";
    userEmail = "lukas.heiligenbrunner@gmail.com";
  };

  programs.zsh = {
    enable = true;
    shellAliases = {
      ll = "ls -l";
    };
    history = {
      path = "${config.xdg.dataHome}/zsh/history";
      size = 10000;
    };
    
    initExtra = ''
      source /home/lukas/.p10k.zsh
    '';
    plugins = [
      {
        name = "powerlevel10k";
        src = pkgs.zsh-powerlevel10k;
        file = "share/zsh-powerlevel10k/powerlevel10k.zsh-theme";
      }
    ];
  };
}