{ config, lib, pkgs, modulesPath, ... }:

{
  imports =
    [];

  # packages to exclude from default gnome
  environment.gnome.excludePackages = (with pkgs; [
    gnome-photos
    gnome-tour
  ]) ++ (with pkgs.gnome; [
    gnome-music
    yelp # help viewer
    epiphany # web browser
    geary # email reader
    totem # video player
    tali # poker game
    iagno # go game
    hitori # sudoku game
    atomix # puzzle game
  ]);

  # disable xterm
  services.xserver.excludePackages = [ pkgs.xterm ]; 
  services.fwupd.enable = true;
   # For fingerprint support
  services.fprintd.enable = lib.mkDefault true;
  programs.steam.enable = true;
  programs.zsh.enable = true;

  # packages in global env
  environment.systemPackages = with pkgs; [
    # system utilities
    wget
    scrcpy
    cmake
    lm_sensors
    smartmontools

    # web
    firefox

    # development
    openscad
    vscode
    git
    flutter
    prusa-slicer
    rustup
    jetbrains.idea-ultimate
    kicad
    rstudio
    R

    # multimedia
    vlc
    gimp
    zoom-us

    # file transfer
    warp

    # gui utilities
    pdfarranger
    diebahn
    appflowy
  ];
}